
Redmine - Feature #3808

Provide link to actual SCM URL from repository page

2009-09-02 18:11 - CS Wong

Status: Closed Start date: 2009-09-02

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate   

Description

Note: I'm not sure if this is possible with SCMs other than Subversion 'cos I don't really have much experience with other SCMs.

While browsing the repository, it'd be nice if I can get a direct link to the file in question from the Repository page.

For e.g., assume my SVN repo is at http://svn.me.com/myproject/trunk/

When, browsing the repo, the entry "/src" would have a link on its line that links directly to http://svn.me.com/myproject/trunk/src/.

As it is, when I spot something I want to checkout, I need to figure out the path to the repo and there's nowhere for me to copy and

paste the root path of the repo either if I don't have admin access.

Related issues:

Is duplicate of Redmine - Patch #232: SCM URL/ROOT Information on Repository ... New

History

#1 - 2010-01-16 17:21 - Holger Just

Duplicate  of #232

#2 - 2010-10-12 12:14 - Holger Just

- Status changed from New to Closed

- Resolution set to Duplicate
